# Generated by Django 5.2 on 2025-04-07 22:07

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="TOTPDevice",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("secret_key", models.CharField(blank=True, max_length=255, null=True)),
                ("confirmed", models.BooleanField(default=False)),
                ("digits", models.PositiveIntegerField(default=6)),
                ("step", models.PositiveIntegerField(default=30)),
                ("algorithm", models.CharField(default="sha1", max_length=32)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="admin_2fa_totp_devices",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="user",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="BackupCode",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("code", models.CharField(max_length=20, unique=True)),
                ("used", models.BooleanField(default=False)),
                (
                    "device",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="backup_codes",
                        to="django_admin_2fa_plus.totpdevice",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TrustedDevice",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("device_identifier", models.CharField(max_length=255, unique=True)),
                ("expires_at", models.DateTimeField()),
                (
                    "device",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="trusted_devices",
                        to="django_admin_2fa_plus.totpdevice",
                    ),
                ),
            ],
        ),
    ]
